Comment 22 for bug 767634

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dpkg - 1.16.0~ubuntu7.1

---------------
dpkg (1.16.0~ubuntu7.1) natty-proposed; urgency=low

  * src/packages.c: fix use of --force-depends so that it works again for
    foreign arch packages. Thanks to Raphaël Hertzog for the fix.
    LP: #767634.
  * regenerate lib/dpkg/trigdeferred.c from lib/dpkg/trigdeferred.l in
    the source, to ensure we don't end up with breakage from an out-of-date
    intermediate file as happened in oneiric.

  [ Guillem Jover ]
  * d84b36a81088721b340e52664aa2c3379fea2a9a: be less strict in the face of
    unknown Priority: fields in /var/lib/dpkg/status, so dpkg doesn't fail
    to run on systems whose contents were previously permitted.
    LP: #773022.
 -- Steve Langasek <email address hidden> Sat, 25 Jun 2011 13:49:46 -0500